Package org.eclipse.graphiti.mm

## Interface StyleContainer

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Diagram`, `Style`

All Known Implementing Classes:
  `DiagramImpl`, `StyleContainerImpl`, `StyleImpl`

    public interface StyleContainer
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Style Container'.

The following features are supported:

- `Styles`

See Also:
  `MmPackage.getStyleContainer()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Style>` `getStyles()` Returns the value of the 'Styles' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStyles

    org.eclipse.emf.common.util.EList<Style> getStyles()

Returns the value of the 'Styles' containment reference list. The list contents are of type `Style`. It is bidirectional and its opposite is '`Style Container`'.

If the meaning of the 'Styles' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Styles' containment reference list.
See Also:
  `MmPackage.getStyleContainer_Styles()`, `Style.getStyleContainer()`